Last-Modified: Thu, 23 Jan 2025 00:48:17 GMT
Expires: Sun, 21 Jan 2035 00:48:17 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>openwrt/upstream - upstream openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit.cgi/openwrt/upstream/atom/toolchain/gcc?h=v21.02.0-rc4' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit.cgi/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit.cgi/'>index</a> : <a title='openwrt/upstream' href='/cgit.cgi/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d0d268ba6e313a1e1ea432f8a4568e15fccded45'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit.cgi/openwrt/upstream/about/?h=v21.02.0-rc4'>about</a><a href='/cgit.cgi/openwrt/upstream/?h=v21.02.0-rc4'>summary</a><a href='/cgit.cgi/openwrt/upstream/refs/?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>refs</a><a href='/cgit.cgi/openwrt/upstream/log/toolchain/gcc?h=v21.02.0-rc4'>log</a><a href='/cgit.cgi/openwrt/upstream/tree/toolchain/gcc?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>tree</a><a href='/cgit.cgi/openwrt/upstream/commit/toolchain/gcc?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>commit</a><a class='active' href='/cgit.cgi/openwrt/upstream/diff/toolchain/gcc?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>diff</a><a href='/cgit.cgi/openwrt/upstream/stats/toolchain/gcc?h=v21.02.0-rc4'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit.cgi/openwrt/upstream/log/toolchain/gcc'>
<input type='hidden' name='h' value='v21.02.0-rc4'/><input type='hidden' name='id' value='d0d268ba6e313a1e1ea432f8a4568e15fccded45'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit.cgi/openwrt/upstream/diff/?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>root</a>/<a href='/cgit.cgi/openwrt/upstream/diff/toolchain?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>toolchain</a>/<a href='/cgit.cgi/openwrt/upstream/diff/toolchain/gcc?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>gcc</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='v21.02.0-rc4'/><input type='hidden' name='id' value='d0d268ba6e313a1e1ea432f8a4568e15fccded45'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><div class='diffstat-header'><a href='/cgit.cgi/openwrt/upstream/diff/?h=v21.02.0-rc4&amp;id=d0d268ba6e313a1e1ea432f8a4568e15fccded45'>Diffstat</a> (limited to 'toolchain/gcc')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-01-23 00:48:17 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="k">source</span> <span class="s2">&quot;tmp/.config-target.in&quot;</span>

<span class="c1"># Kernel/Hardware features</span>

<span class="k">config</span> LINUX_2_4
	<span class="nb">bool</span>

<span class="k">config</span> LINUX_2_6
	<span class="nb">bool</span>

<span class="k">config</span> HAS_FPU
	<span class="nb">bool</span>

<span class="k">config</span> DISPLAY_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> GPIO_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> PCI_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> PCMCIA_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> USB_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> USES_SQUASHFS
	<span class="nb">bool</span>

<span class="k">config</span> USES_JFFS2
	<span class="nb">bool</span>

<span class="k">config</span> USES_EXT2
	<span class="nb">bool</span>

<span class="k">config</span> USES_TGZ
	<span class="nb">bool</span>

<span class="k">config</span> USES_CPIOGZ
	<span class="nb">bool</span>

<span class="k">config</span> PROFILE_KCONFIG 
	<span class="nb">bool</span>

<span class="c1"># Architecture selection</span>

<span class="k">config</span> i386
	<span class="nb">bool</span>

<span class="k">config</span> i686
	<span class="nb">bool</span> 

<span class="k">config</span> mips
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> mipsel
	<span class="nb">bool</span>

<span class="k">config</span> arm
	<span class="nb">bool</span>

<span class="k">config</span> armeb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> avr32
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> cris
	<span class="nb">bool</span>

<span class="k">config</span> m68k
	<span class="nb">bool</span>

<span class="k">config</span> powerpc
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> sh3
	<span class="nb">bool</span>

<span class="k">config</span> sh3eb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> sh4
	<span class="nb">bool</span>

<span class="k">config</span> sh4eb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> sparc
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> x86_64
	<span class="nb">bool</span>

<span class="k">config</span> ARCH
	<span class="nb">string</span>
	<span class="k">default</span> <span class="s2">&quot;arm&quot;</span>     <span class="k">if</span> arm
	<span class="k">default</span> <span class="s2">&quot;armeb&quot;</span>   <span class="k">if</span> armeb
	<span class="k">default</span> <span class="s2">&quot;avr32&quot;</span>   <span class="k">if</span> avr32
	<span class="k">default</span> <span class="s2">&quot;cris&quot;</span>    <span class="k">if</span> cris
	<span class="k">default</span> <span class="s2">&quot;i386&quot;</span>    <span class="k">if</span> i386
	<span class="k">default</span> <span class="s2">&quot;i686&quot;</span>    <span class="k">if</span> i686
	<span class="k">default</span> <span class="s2">&quot;m68k&quot;</span>    <span class="k">if</span> m68k
	<span class="k">default</span> <span class="s2">&quot;mips&quot;</span>    <span class="k">if</span> mips
	<span class="k">default</span> <span class="s2">&quot;mipsel&quot;</span>  <span class="k">if</span> mipsel
	<span class="k">default</span> <span class="s2">&quot;powerpc&quot;</span> <span class="k">if</span> powerpc
	<span class="k">default</span> <span class="s2">&quot;sh3&quot;</span>     <span class="k">if</span> sh3
	<span class="k">default</span> <span class="s2">&quot;sh3eb&quot;</span>   <span class="k">if</span> sh3eb
	<span class="k">default</span> <span class="s2">&quot;sh4&quot;</span>     <span class="k">if</span> sh4
	<span class="k">default</span> <span class="s2">&quot;sh4eb&quot;</span>   <span class="k">if</span> sh4eb
	<span class="k">default</span> <span class="s2">&quot;sparc&quot;</span>   <span class="k">if</span> sparc
	<span class="k">default</span> <span class="s2">&quot;x86_64&quot;</span>  <span class="k">if</span> x86_64
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-01-23 00:48:17 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
